## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate sha1

Name:           rust-sha1
Version:        0.10.6
Release:        %autorelease
Summary:        SHA-1 hash function

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/sha1
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
SHA-1 hash function.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+asm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+asm-devel %{_description}

This package contains library source intended for building other packages which
use the "asm" feature of the "%{crate}" crate.

%files       -n %{name}+asm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compress-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compress-devel %{_description}

This package contains library source intended for building other packages which
use the "compress" feature of the "%{crate}" crate.

%files       -n %{name}+compress-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+force-soft-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+force-soft-devel %{_description}

This package contains library source intended for building other packages which
use the "force-soft" feature of the "%{crate}" crate.

%files       -n %{name}+force-soft-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+loongarch64_asm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+loongarch64_asm-devel %{_description}

This package contains library source intended for building other packages which
use the "loongarch64_asm" feature of the "%{crate}" crate.

%files       -n %{name}+loongarch64_asm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+oid-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+oid-devel %{_description}

This package contains library source intended for building other packages which
use the "oid" feature of the "%{crate}" crate.

%files       -n %{name}+oid-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sha1-asm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sha1-asm-devel %{_description}

This package contains library source intended for building other packages which
use the "sha1-asm" feature of the "%{crate}" crate.

%files       -n %{name}+sha1-asm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Sep 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.6-1
- Update to version 0.10.6; Fixes RHBZ#2240045

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 20 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.5-3
- Enable feature for using optimized assembly implementations

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Oct 08 2022 Fabio Valentini <decathorpe@gmail.com> - 0.10.5-1
- Update to version 0.10.5; Fixes RHBZ#2123879

* Fri Sep 02 2022 Fabio Valentini <decathorpe@gmail.com> - 0.10.2-1
- Update to version 0.10.2; Fixes RHBZ#2122701

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Feb 18 2022 Fabio Valentini <decathorpe@gmail.com> - 0.10.1-1
- Update to version 0.10.1; Fixes RHBZ#2041179

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 16:51:29 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.0-7
- Regenerate

* Sun Mar 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.0-6
- Do not pull optional dependencies

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Nov 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.0-4
- Adapt to new packaging

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.0-3
- Rebuild to trigger tests

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Apr 26 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.0-1
- Update to 0.6.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-3
- Bump openssl to 0.10

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-2
- Rebuild for rust-packaging v5

* Sun Dec 31 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Wed Nov 29 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-3
- Update patch

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-2
- Port to use rust-packaging

* Mon Apr 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-1
- Initial package

